# Credit
This mod was created by [Aedenthorn](https://www.nexusmods.com/valheim/users/18901754?tab=user+files), I have just reuploaded it here to use with my modpack.

For updates check [Nexusmods](https://www.nexusmods.com/valheim/mods/174) as this probably won't be updated as regularly.

# Important - requires manual intervention (for now)
This mod has some files in a subfolder. For some reason, they are stripped out of the subfolder when you install it.

The work around for this is to go to the plugins folder for this mod (by default %appdata%\Thunderstore Mod Manager\DataFolder\Valheim\profiles\Default\BepInEx\plugins\TeamHalcyon-TreeRespawn_by_Aedenthorn).

Once there, create a folder called *TreeRespawn* and move the below four files into it:
- tree_dict.json
- tree_dict_Plant_all_trees.json
- tree_dict_Plant_Everything.json
- tree_dict_PlantingPlus.json

The folder structure should then look like this:
- icon.png
- manifest.json
- README.md
- TreeRespawn.dll
- TreeRespawn *(folder)*
  - tree_dict.json
  - tree_dict_Plant_all_trees.json
  - tree_dict_Plant_Everything.json
  - tree_dict_PlantingPlus.json

It will then work properly.

# Description
This mod pulls nearby items from the ground into containers.

The types of container this affects are ship, cart, wooden chest, personal chest, and reinforced chest.

You can customize the following:
- choose range at which items will be pulled into each type of chest
- choose which items cannot be pulled universally
- choose which items only can be pulled universally (overrides the former)
- choose which items cannot be pulled per chest
- choose which items only can be pulled per chest (overrides the former for each type)
- choose to only pull items that the container already contains
- choose a hot key to toggle the mod on and off

By default the ranges are set to 5m for each type.

# Configuration
To change the settings, edit the file BepInEx/config/aedenthorn.AutoStore.cfg (created after running the game once with this mod) using a text editor.

You can adjust the config values in-game using the Config Manager﻿.

To reset the config, type autostore reset into the console (F5) and hit enter.